@import '../../sass/base/_mixins';
@import '../../sass/base/_config';

.rocket-richard {
  --toronto-blue: #00205b;
  --washington-red: #c8102e;
  --edmonton-orange: #ff4c00;
  --boston-gold: #fcb514;
  --rangers-blue: #0038A8;
}

// -------------------------------------
// Overview
// -------------------------------------
#overview {
  display: inline-flex;
  flex-wrap: wrap;
  justify-content: center;
  background: var(--grey-6);
}

.break {
  flex-basis: 100%;
  height: 0;
}

.card {
  // flex child
  flex: 0 1 100%;
  padding: 2rem 1rem 1rem;
  min-width: 400px;

  &.hidden {
    display: none;
  }

  @include for-tablet-up {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 3rem 2rem 2rem;
    flex: 0 1 50%;
  }
}

.card--winner {
    .card__name {
      font-size: $fs9;
      font-weight: bold;
    }

    .card__goals {
      font-size: $fs8;
      span {
        font-size: $fs7;
      }
    }
}

.card__name {
  grid-column: span 2;
  font-size: $fs8;
  overflow-wrap: anywhere;
  border-radius: 0 0 .25rem .25rem;
  white-space: nowrap;
}

.card__player-profile{
  display: flex;
  flex-direction: column;
  justify-content: center;
}


.card__player-info {
  display: flex;
  align-items: center;

  span {
    font-family: var(--secondary-font);
    margin-left: 0.5rem;
  }
}

.card__team-logo {
  max-height: 80px;
}

.card__goals {
  color: var(--grey-1);
  font-size:  $fs4;
  font-weight: bold;
  margin: 1rem 0 0.5rem;

  span {
    color: var(--grey-2);
    font-family: var(--secondary-font);
    font-size: $fs3;
    font-weight: 400;
  }

  @include for-tablet-up {
    font-size: $fs7;
    span {
      font-size: $fs6;
    }
  }
} 

.card__game-stats {
  list-style: none;
  padding: 0;
}

.card__stat {
  font-size: $fs4;
  font-weight: bold;
  color: var(--grey-1);
  margin-bottom: 0.25rem;
  
  span {
    font-weight: normal;
    font-family: var(--secondary-font);
    color: var(--grey-2);
  }
}

.shot-chart {
  
  @include for-tablet-up {
    margin-left: $s2;
  }

  .shot-chart__rink { 
    position: absolute;
    left: 0;
    top: 0;
  }

  .circle {
    fill: none;
    stroke-width: 1;
    opacity: 0.8;
  }
}

.shot-map {
  position: relative;
}

#visualizations{
  max-width: 800px;
  background: var(--grey-6);

  h2 {
    margin-bottom: 3rem;
  }

  @include for-tablet-up {
    margin: 1rem auto;
    padding: 1rem;
  }
}

#raceChart {
  .tick{
    font-size: $fs1;
    fill: var(--grey-2);
  }

  .axis-label {
    font-size: $fs3;
    fill: var(--grey-2);
  }

  .covid-label {
    font-size: $fs2;
    fill: var(--grey-2);
    text-rendering: geometricPrecision;
  }

  .covid-line { 
    fill: none;
    stroke-linecap: round;
    stroke-width: 3;
    stroke-dasharray: 7;
    stroke: var(--grey-2);
  }

  .legend {
    .name {
      fill: var(--grey-2);
      font-size: $fs2;
    }
  }

  .line{
    fill: none;
    stroke-linecap: round;
    stroke-width: 5;
  }
}

#winners {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
}

.matthews {
  fill: var(--toronto-blue);
  stroke: var(--toronto-blue);

  &.line {
    stroke: var(--toronto-blue);
  }

  .card__name {
    border-bottom: 6px solid var(--toronto-blue);
  }
}

.ovechkin {
  fill: var(--washington-red);
  stroke: var(--washington-red);

  &.line {
    stroke: var(--washington-red);
  }
  .card__name {
    border-bottom: 6px solid var(--washington-red);
  }
}
.pastrnak {
  fill: var(--boston-gold);
  stroke: var(--boston-gold);

  &.line {
    stroke: var(--boston-gold);
  }
  .card__name {
    border-bottom: 6px solid var(--boston-gold);
  }
}

.draisaitl {
  fill: var(--edmonton-orange);
  stroke: var(--edmonton-orange);

  &.line {
    stroke: var(--edmonton-orange);
  }
  .card__name {
    border-bottom: 6px solid var(--edmonton-orange);
  }
}

.zibanejad {
  fill: var(--rangers-blue);
  stroke: var(--rangers-blue);

  &.line {
    stroke: var(--rangers-blue);
  }
  .card__name {
    border-bottom: 6px solid var(--rangers-blue);
  }
}